//
//  Month.h
//  YKCalendar
//
//  Created by KOYAMA Yoshiaki on Thu Oct 09 2003.
//  Copyright (c) 2003 KOYAMA Yoshiaki. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface Month : NSObject {
    IBOutlet id _year;
    IBOutlet id _month;
    IBOutlet id _calendarView;

    NSCalendarDate *_calendar;
    NSCalendarDate *_nowCalendar;
    NSMutableArray *_arrayHoliday;    
}

- (IBAction)backMonth:(id)sender;
- (IBAction)nextMonth:(id)sender;
- (IBAction)thisMonth:(id)sender;

- (void)initCalendar;
- (void)drawMonth;
- (void)drawBack;
- (void)setTextField;
- (void)printYoubi;
- (void)drawDay:(NSMutableArray *)strings;
- (void)drawDay:(int)day :(int)week :(int)month :(int)year :(int)height :(BOOL)holiday;
- (void)drawOneMonth;
- (void)makeHoliday;
- (BOOL)checkHoliday:(int)day;


@end
